--Apple-Mail-1--466508288
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
charset=WINDOWS-1252;
format=flowed

I work on mac osx, and sometimes you must install both the libapreq C=20
llbs, and the perl libs.

in the libapreq2 source folder:
../configure
make
make install
(or sudo make install...)

then (using the same perl you used with mod_perl) build the perl libs=20
in the same folder:
/path/to/perl Makefile.PL
make
make install
(or sudo make install...)


watch for errors, and check that the module was installed in your path=20=

(the apache error log should tell you where it looked.)

c
a

On Jul 26, 2006, at 9:22 AM, philge philip wrote:

> Dear colleague
> =A0
> I am a bioinformatics programmer from India.I am interested to use=20
> mod_perl to improve the performance of our cgi scripts.I need a=20
> guidance for configuring mod_perl 2.0 in my server.
> =A0
> I have Apache.2.0.5.2 and Perl 5.8.5 installed in Fedora 3 operating=20=


> system.
> I downloaded mod_perl2.0 version and installed it with the following=20=


> commands:
> =A0
> Perl MakeFfile.PL=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0 MP_AP_PREFIX=3D/apxs =

path
> Make
> Make install
> =A0
> Next I added the lines:
> =A0
> LoadModule perl_module modules/mod_perl.so
> PerlModule Apache2
> =A0
> to httpd.conf
> =A0
> when I tried restarting the server I got an error like ' cant locate=20=


> perl module Apache2.pm module in @INC'
> Though I corrected this error once and when I tried to load=20
> Apache2::Request module in the script I got an error like 'cant locate=20=


> perl module Apache2::Request.pm in @INC'.
> =A0
> I tried installing the libapreq2-2.07 module to include=20
> Apache2::Request module but I am unable to load it.
> =A0
> Please guide me how to load the Apache2.pm module and load=20
> Apache2::request module when such an error come.I=A0 have a doubt=20
> whether I have to upgrade our Perl version and whether Fedora3 will=20
> support higher versions of perl?Kindly guide me=85
> =A0
> Philge Philip
>
> Do you Yahoo!?
> Next-gen email? Have it all with the all-new Yahoo! Mail Beta.=


--Apple-Mail-1--466508288
Content-Transfer-Encoding: quoted-printable
Content-Type: text/enriched;
charset=WINDOWS-1252

I work on mac osx, and sometimes you must install both the libapreq C
llbs, and the perl libs.=20


in the libapreq2 source folder:

../configure

make

make install

(or sudo make install...)


then (using the same perl you used with mod_perl) build the perl libs
in the same folder:

/path/to/perl Makefile.PL=20

make

make install

(or sudo make install...)



watch for errors, and check that the module was installed in your path
(the apache error log should tell you where it looked.)


c

a


On Jul 26, 2006, at 9:22 AM, philge philip wrote:


Times New RomanDear =
colleague


=A0

Times New RomanI am a bioinformatics
programmer from India.I am interested to use mod_perl to improve the
performance of our cgi scripts.I need a guidance for configuring
mod_perl 2.0 in my server.


=A0

Times New RomanI have Apache.2.0.5.2 and
Perl 5.8.5 installed in Fedora 3 operating system.


Times New RomanI downloaded mod_perl2.0
version and installed it with the following commands:


=A0

Times New RomanPerl MakeFfile.PL=A0=A0=A0=A0=A0=
=A0=A0=A0=A0=A0=A0
MP_AP_PREFIX=3D/apxs path


Times New RomanMake

Times New RomanMake install

=A0

Times New RomanNext I added the =
lines:


=A0

Times New RomanLoadModule perl_module
modules/mod_perl.so


Times New RomanPerlModule =
Apache2


=A0

Times New Romanto httpd.conf

=A0

Times New Romanwhen I tried restarting the
server I got an error like ' cant locate perl module
0000,0000,EEEEApache2.pm module in =
@INC'


Times New RomanThough I corrected this
error once and when I tried to load Apache2::Request
module in the script I got an error like 'cant locate
perl module
Apache2::0000,0000,EEEERequest.pm in=20
@INC'.


=A0

Times New RomanI tried installing the
libapreq2-2.07 module to include Apache2::Request module but I am
unable to load it.


=A0

Times New RomanPlease guide me how to load
the 0000,0000,EEEEApache2.pm module and
load Apache2::request module when such an error come.I=A0 have a doubt
whether I have to upgrade our Perl version and whether Fedora3 will
support higher versions of perl?Kindly guide me=85


=A0

Times New RomanPhilge Philip


Do you Yahoo!?

Next-gen email? Have it all with the
0000,0000,EEEEall-new Yahoo! Mail =
Beta.
=

--Apple-Mail-1--466508288--